//
// C++ Interface: k9audiocodecs
//
// Description: 
//
//
// Author: Jean-Michel PETIT <k9copy@free.fr>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef K9AUDIOCODECS_H
#define K9AUDIOCODECS_H

#include "k9common.h"
#include "k9config.h"
#include <tqobject.h>

/**
	@author Jean-Michel PETIT <k9copy@free.fr>
*/

class _k9AudioCodec;
class k9AudioCodecs : public TQObject
{
  TQ_OBJECT
  
public:
    k9AudioCodecs(TQObject *parent = 0, const char *name = 0);

    ~k9AudioCodecs();
    void save();
    int count();
    void setOptions(int _num,TQString _value);
    void setCodecName(int _num,TQString _value);
    TQString getOptions(int _num);
    TQString getCodecName(int _num);
    void remove(int _num);
    void reset();
private:
    TQMap <int,_k9AudioCodec> m_codecs;
    k9Config *m_config;

};

#endif
